/***********************************************
 * DORGON "Classic" Skin  (c) 2000 Alex Nofftz *
 ***********************************************

 Die Funktionen dieses Skripts werden von den Heften aus aufgerufen
 und koennen dazu verwendet werden, zusaetzlichen HTML-Code in
 das Dokument einzufuegen (Beachte: Dateiformat ist XHTML Strict).
 
 Folgende Funktion wird direkt aufgerufen:
 
   init()

 Diese Funktionen stehen zur Verfuegung:
 
        AktuellesHeft()   - Gibt die Nummer des aktuellen heftes zurueck
	Hefte()           - Ergibt Array mit den Hefttiteln des aktuellen Zyklus
	AktuellerZyklus() - Gibt die Nummer des aktuellen Zyklus zurueck
	Zyklen()          - Gibt Namen der bisher erschienenen Zyklen zurueck
	ZyklenStart()     - Gibt Array mit den Starthefte der Zyklen zurueck
	Kapitel()         - Gibt Array mit Kapiteltiteln des aktuellen Heftes
                       zurueck (Index 0: Prolog; Index 99: Epilog)

 Ferner koennen diese Elemente manipuliert werden:

        nummer           - Teil des Titelbildes, in dem die Heftnummer steht
	proc             - Teil des Titelbildes, in dem das PROC-Logo ist
	autor            - Teil des Titelbildes, in dem der Autor steht
	wasbishergeschah - Tabelle mit "Was bisher geschah"
	hauptpersonen    - Tabelle mit den Hauptpersonen
	kommentar        - Tabelle mit dem Kommentar
	vorschau         - Ansatz (<p>), der die Vorschau enthaelt
	naechstes        - Name des naechsten Heftes in der Vorschau
	impressum        - Das Impressum (Finger weg! <g>)
	
*/

// Hilfsfunktion fuer die Liste
function gehezu() {
	// Wert von <select>-Element in form.menu holen
	var url = document.getElementById('menu').firstChild.value;

	if( url != "" )
		// Keine DOM-Anweisung, wird aber von allen
		// Browsern unterstuetzt ;-)
		document.location = url;
}

function init() {

	/***
	 * Dieses Beispiel verwendet -- aufgrund der grossen
	 * portabilitaet -- das Document Object Model (DOM)
	 * des WWW-Konsortiums (W3C).
	 *
	 * Das DOM scheint bisher nur vom IE 5.5 und Mozilla
	 * (Netscape 6 Beta) unterstuetzt zu werden, jedoch wird
	 * dieses allgemeine Interface wohl bald auch Opera und
	 * alle anderen Browser eingebaut werden...
	 */

	// Falls kein DOM vorhanen, lieber canceln ;-)
	if( ! document.documentElement )
		return;

	var k = Kapitel();
	var z = Zyklen();
	var zs = ZyklenStart();
	var h = Hefte();
	var az = AktuellerZyklus();
	var ah = AktuellesHeft();
	var o;

	/***
	 * Das align-Attribut der Titelbild-TABLE 
	 * wird auf "center" gesetzt
	 * (N6 zentriert das Tibi leider nicht automatisch)
	 */

	// Referenz auf #tibi holen, d.h. eine Zelle der
	// gesuchten Tabelle
	var tibi = document.getElementById('tibi');
	// drei Hierachiestufen anch oben gehen (<th>, <tbody> und <table>)
	tibi = tibi.parentNode.parentNode.parentNode;
	// align-Attribut setzen
	tibi.align = 'center';


	/***
	 * Am Anfang des Dokuments (ausserhalb des Rahmens)
	 * wird eine <select>-Box mit den Zyklen, Heften
	 * und Kapiteln des aktuellen Hefts eingefuegt
	 */
	
	// <form id="menu">
	var form = document.createElement('form');
	form.id = "menu";
	
	// <select> erzeugen und in form einfuegen
	var s = document.createElement('select');
	s.id = "menuselect"
	form.appendChild(s);

	// Bei Aenderung von s gehezu() aufrufen
	s.onchange = gehezu;

	// Zyklen ausgeben
	for( i = 1; i < 10; i++ )
		if( z[i] ) {
			// Neues <option>-Element erzeugen
			o = document.createElement('option');
			// Als Wert den Dateinamen zuweisen
			o.value = 'heft' + zs[i] + '.htm';
			// Zyklusname als Text einfuegen
			o.appendChild(document.createTextNode(z[i]));
			// Element zum <select> hinzufuegen
			s.appendChild(o);
		}

	// <option>-Element mit langer Linie hinzufuegen
	o = document.createElement('option');
	o.appendChild(document.createTextNode('-----------------------'));
	s.appendChild(o);

	// Hefte vom aktuellen Zyklus ausgeben
	for( i = 1; i < h.length; i++ )
		if( (zs[az] <= i) && (i < zs[az + 1]) ) {
			// Neues <option>-Element erzeugen
			o = document.createElement('option');

			// Als Wert den Dateinamen zuweisen
			o.value = 'heft' + i + '.htm';

			// Aktuelles Heft? Falls ja, selektieren.
			if( i == ah )
				o.setAttribute('selected', 'selected');

			// Heftname als Text einfuegen
			o.appendChild(document.createTextNode('Heft ' + i + ': ' + h[i]));

			// Element zum <select> hinzufuegen
			s.appendChild(o);
			}

	// <option>-Element mit langer Linie hinzufuegen
	o = document.createElement('option');
	o.appendChild(document.createTextNode('-----------------------'));
	s.appendChild(o);

	// Kapitel vom aktuellen Heft ausgeben	
	for( i=0; i<100; i++ )
		if( k[i] ) {
			// Neues <option>-Element erzeugen
			o = document.createElement('option');

			// Als Wert den Kapitelmarke zuweisen
			o.value = '#kapitel' + i;

			// Kapitelname als Text einfuegen
			var str = "";
			if( i == 0 )
				str += 'Prolog';
			else if( i == 99 )
				str += 'Epilog';
			else
				str += i;
			o.appendChild(document.createTextNode(str + ". " + k[i]));

			// Element zum <select> hinzufuegen
			s.appendChild(o);
		}

	// Formular am Anfang des <body> einfuegen
	document.body.insertBefore(form, document.body.firstChild);

		
	/***
	 * Unter dem Rahmen wird der SKinname angehaengt
	 * (<p id="skinname"><strong>Classic Skin</strong>
	 *  von <a href="mailto:AlexNofftz@email.com">
	 *  Alexander Nofftz</a>.</p>)
	 */

	// <p>-Tag der mit ID skinname erzeugen
	var p = document.createElement('p');
	p.id = 'skinname';

	// In dieses ein <strong> einfuegen
	var strong = document.createElement('strong');
	p.appendChild(strong);

	// In das <strong>-Tag Text einfuegen
	strong.appendChild(document.createTextNode('Classic Skin'));

	// Text ins p einfuegen
	p.appendChild(document.createTextNode(' von '));

	// <a>-Tag mit Verweis auf meine eMail-Adresse
	// und meinen Namen erzeugen
	var a = document.createElement('a');
	p.appendChild(a);
	a.href = 'mailto:AlexNofftz@email.com';
	a.appendChild(document.createTextNode('Alexander Nofftz'));

	// Den Punkt am Satzende nicht vergessen ;-)
	p.appendChild(document.createTextNode('.'));

	// ...und alles am Ende des bodys anhaengen
	document.body.appendChild(p);


	/***
	 * Zyklusname unter die Heftnummer im Titelbild einfuegen
	 */

	// Zeiger auf TD #nummer holen
	var nummer = document.getElementById('nummer');

	// ein <br/> an's Ende des Inhalts anhaengen
	nummer.appendChild(document.createElement('br'));

	// <small>-Tag erzeugen
	var small = document.createElement('small');

	// Zyklusname in das <small>-Tag einfuegen
	small.appendChild(document.createTextNode(z[AktuellerZyklus()]));
		
	// Das Tag ebenfalls an das Ende der Zelle anhaengen
	nummer.appendChild(small);
}
